- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ecore_audio Struct Reference

## Public Member Functions
| ecore_audio (Eo *eo)
| Eo Constructor. More...
| ecore_audio (std::nullptr_t)
| nullptr_t Constructor. More...
| ecore_audio (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| ecore_audio (ecore_audio const &other)
| Copy Constructor.
std::string | source_get () const
| Get the source of the object. More...
bool | source_set (std::string source_) const
| Set the source of the object. More...
Ecore_Audio_Format | format_get () const
| Get the format of the object. More...
bool | format_set (Ecore_Audio_Format format_) const
| Set the format of the object. More...
std::string | name_get () const
| Get the name of the object. More...
void | name_set (std::string name_) const
| Set the name of the object. More...
bool | paused_get () const
| Get the pause state of the object. More...
void | paused_set (bool paused_) const
| Set the pause state of the object. More...
double | volume_get () const
| Get the volume of the object. More...
void | volume_set (double volume_) const
| Set the volume of the object. More...
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

ecore_audio::ecore_audio | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

ecore_audio::ecore_audio | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

ecore_audio::ecore_audio | ( | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)` | ) |
| inline

Call the object's constructor.

Should not be used with #eo_do. Only use it with #eo_do_super.

## Member Function Documentation

std::string ecore_audio::source_get | ( |  | ) | const
| inline

Get the source of the object.

Since
  1.8

Parameters

  source |

References efl::eo::base::_eo_ptr().

bool ecore_audio::source_set | ( | std::string | source_ | ) | const
| inline

Set the source of the object.

What sources are supported depends on the actual object. For example, the libsndfile class accepts WAV, OGG, FLAC files as source.

Since
  1.8

Parameters

  source |

References efl::eo::base::_eo_ptr().

Ecore_Audio_Format ecore_audio::format_get | ( |  | ) | const
| inline

Get the format of the object.

After setting the source if the format was ECORE_AUDIO_FORMAT_AUTO this function will now return the actual format.

Since
  1.8

Parameters

  format |

References efl::eo::base::_eo_ptr().

bool ecore_audio::format_set | ( | Ecore_Audio_Format | format_ | ) | const
| inline

Set the format of the object.

What formats are supported depends on the actual object. Default is ECORE_AUDIO_FORMAT_AUTO

Since
  1.8

Parameters

  format |

References efl::eo::base::_eo_ptr().

std::string ecore_audio::name_get | ( |  | ) | const
| inline

Get the name of the object.

Since
  1.8

Parameters

  name |

References efl::eo::base::_eo_ptr().

void ecore_audio::name_set | ( | std::string | name_ | ) | const
| inline

Set the name of the object.

Since
  1.8

Parameters

  name |

References efl::eo::base::_eo_ptr().

bool ecore_audio::paused_get | ( |  | ) | const
| inline

Get the pause state of the object.

Since
  1.8

Parameters

  paused |

References efl::eo::base::_eo_ptr().

void ecore_audio::paused_set | ( | bool | paused_ | ) | const
| inline

Set the pause state of the object.

Since
  1.8

Parameters

  paused |

References efl::eo::base::_eo_ptr().

double ecore_audio::volume_get | ( |  | ) | const
| inline

Get the volume of the object.

Since
  1.8

Parameters

  volume |

References efl::eo::base::_eo_ptr().

void ecore_audio::volume_set | ( | double | volume_ | ) | const
| inline

Set the volume of the object.

Since
  1.8

Parameters

  volume |

References efl::eo::base::_eo_ptr().